package com.zaojiao.app.core.common.state

sealed interface DataState<out T> {
    data class Success<T>(val data: T?) : DataState<T>

    data class Failure(val throwable: Throwable) : DataState<Nothing>
}